Bug 211773 - Exception popup: TBa9c752cb ConfPAP.py:85:initvars:IndexError
Exception popup: TBa9c752cb ConfPAP.py:85:initvars:IndexError
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
: 211774 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-22 12:03 EDT by George N. White III
Modified: 2008-05-06 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump from bug error popup (1.88 KB, text/plain)
2006-10-22 12:03 EDT, George N. White III
no flags Details

  None (edit)
Description George N. White III 2006-10-22 12:03:12 EDT
Description of problem: TBa9c752cb ConfPAP.py:85:initvars:IndexError: list 
index out of range

Version-Release number of selected component (if applicable): 1.3.30


How reproducible: always


Steps to Reproduce:
1. run "system-control-network" as root or as a normal user
2. enter password if prompted
3.
  
Actual results:  Exception popup with request to save log and submit bug report

Expected results: network configuration GUI starts

Additional info: I have several copies of the same error over the past few 
months, but now I can't connect to my provider using the wvdial method (kppp 
ppp+chat is working) so I'd like to review the configuation.  The system is a 
fairly minimal install on a dual PPro 200, regularly updated (so just started 
using the 2.6.18 kernel) and used as a firewall for my main machine.
Comment 1 George N. White III 2006-10-22 12:03:12 EDT
Created attachment 139081 [details]
dump from bug error popup
Comment 2 Harald Hoyer 2006-10-23 05:09:25 EDT
please check /etc/ppp/chap-secrets and /etc/ppp/pap-secrets, if they contain garbage
Comment 3 George N. White III 2006-10-23 17:25:17 EDT
Those files were dated Nov., 2004.

They contain exactly "garbage", but the same data saved 2 different ways -- one 
line with (double) quotes, the other without, but with a special character in 
the password escaped with a "\".  I deleted all the entries and was able to run 
configure to generate new entries, which use the format with quotes.
Comment 4 George N. White III 2006-11-17 19:35:18 EST
*** Bug 211774 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2008-04-04 00:03:35 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:31:33 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.